# Awaiting deploy

`AwaitingDeploy` is a Casper deploy that is awaiting submission, and temporarily stored on CSPR.cloud before submission, in order to perform some additional modifications, such as collecting additional signatures. A perfect use case for this functionality is [Multisig Deploys](https://docs.casper.network/developers/cli/transfers/multisig-deploy-transfer/)

{% hint style="info" %}
This API is not available for the "Free" tier
{% endhint %}

## Properties

The `AwaitingDeploy` entity has the following properties:

| Property | Type            | Description       |
| -------- | --------------- | ----------------- |
| `deploy` | `casper.Deploy` | Casper raw deploy |

**Example**

```json
{
  "deploy": {
    "hash": "aa46828cd1b756686c2ed1af7fcd8ab0b37305a208164dd55aaf19d23607dfa9",
    "header": {
      "ttl": "30m",
      "account": "0176197d7191ce519ed043221956a2227921abf30364d4362970229027ec828f04",
      "body_hash": "3d5b08d531e9bd979d20f40b8ba74fc47ae5d209a42f64a345220661e5000254",
      "gas_price": 1,
      "timestamp": "2024-02-08T09:13:35.291Z",
      "chain_name": "casper-test",
      "dependencies": []
    },
    "payment": {
      "ModuleBytes": {
        "args": [
          [
            "amount",
            {
              "bytes": "0400f90295",
              "parsed": "2500000000",
              "cl_type": "U512"
            }
          ]
        ],
        "module_bytes": ""
      }
    },
    "session": {
      "StoredContractByHash": {
        "args": [
          [
            "validator",
            {
              "bytes": "010e5669b070545e2b32bc66363b9d3d4390fca56bf52a05f1411b7fa18ca311c7",
              "parsed": "010e5669b070545e2b32bc66363b9d3d4390fca56bf52a05f1411b7fa18ca311c7",
              "cl_type": "PublicKey"
            }
          ],
          [
            "amount",
            {
              "bytes": "050006e78aa5",
              "parsed": "711000000000",
              "cl_type": "U512"
            }
          ],
          [
            "delegator",
            {
              "bytes": "0176197d7191ce519ed043221956a2227921abf30364d4362970229027ec828f04",
              "parsed": "0176197d7191ce519ed043221956a2227921abf30364d4362970229027ec828f04",
              "cl_type": "PublicKey"
            }
          ]
        ],
        "hash": "93d923e336b20a4c4ca14d592b60e5bd3fe330775618290104f9beb326db7ae2",
        "entry_point": "undelegate"
      }
    },
    "approvals": [
      {
        "signer": "0176197d7191ce519ed043221956a2227921abf30364d4362970229027ec828f04",
        "signature": "013815f5f7ca37cb16ffd1277afdc11e3bc765a072d839e9ebf1bf3798f3671c1cf77cb1d6c8367b6ab11a014829e4d03c4950721705fc0eec3f9e91fb9a8d180d"
      },
      {
        "signer": "01b687decf949c368be61262a622bb302d0ce2b12cad9b2f01d7ba08aa9e3e3f03",
        "signature": "0106689cf2941047a36cc4b1dc096fdafb54534f5b102192529213361087a319d6c478d5dba27263e45b4b6aa2e379b18a61bf3740af48ea9b7b5f74328e13f901"
      },
      {
        "signer": "0176197d7191ce519ed043221956a2227921abf30364d4362970229027ec828f04",
        "signature": "0140ead54fe89528216ed9cbb3ee45648ed2a965f9d2f8dfeb3f1446f4e42ae832857384fc6129545b0655f5a71c2213199e19eb4616e36b71c733d3131a043608"
      }
    ]
  }
}
```

## Optional properties

None

## Relations

None

## Endpoints

The `AwaitingDeploy` entity has the following endpoints:

* [Create Awaiting Deploy](/1.0.x/rest-api/awaiting-deploy/create-awaiting-deploy.md)
* [Add Awaiting Deploy signatures](/1.0.x/rest-api/awaiting-deploy/add-awaiting-deploy-signatures.md)
* [Get Awaiting Deploy](/1.0.x/rest-api/awaiting-deploy/get-awaiting-deploy.md)

## Relation endpoints

None


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.cloud/1.0.x/rest-api/awaiting-deploy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
